From 09a76a525d43753bc99186cb4418121ce2292135 Mon Sep 17 00:00:00 2001
From: isaacs <i@izs.me>
Date: Mon, 8 Mar 2010 15:09:20 -0800
Subject: [PATCH 6/7] Remove process.mixin references from the documentation.

---
 doc/api.txt |   21 ---------------------
 1 files changed, 0 insertions(+), 21 deletions(-)

diff --git a/doc/api.txt b/doc/api.txt
index a6ca6bf..3d66c79 100644
--- a/doc/api.txt
+++ b/doc/api.txt
@@ -158,19 +158,6 @@ information.
 Just like +eval()+ except that you can specify a +scriptOrigin+ for better
 error reporting.
 
-+process.mixin([deep], target, object1, [objectN])+ ::
-Extend one object with one or more others, returning the modified object.
-If no target is specified, the +GLOBAL+ namespace itself is extended. 
-Keep in mind that the target object will be modified, and will be returned
-from +process.mixin()+.
-+
-If a boolean true is specified as the first argument, Node performs a deep
-copy, recursively copying any objects it finds. Otherwise, the copy will
-share structure with the original object(s).
-+
-Undefined properties are not copied. However, properties inherited from the
-object's prototype will be copied over.
-
 == System module
 
 These function are in the module +"sys"+. Use +require("sys")+ to access
@@ -382,14 +369,6 @@ package a module as a directory.
 paths onto it, or at startup with the +NODE_PATH+ environmental
 variable (which should be a list of paths, colon separated).
 
-Use +process.mixin()+ to include modules into the global namespace.
-
-----------------------------------------
-process.mixin(GLOBAL, require("./circle"), require("sys"));
-puts("The area of a circle of radius 4 is " + area(4));
-----------------------------------------
-
-
 
 
 == Timers
-- 
1.6.6.1

